import type { NobjcObject } from "objc-js";
import type { CLLocationCoordinate2D } from "../structs/CLLocationCoordinate2D.js";
import type { MKCoordinateRegion } from "../structs/MKCoordinateRegion.js";
import type { MKMapPoint } from "../structs/MKMapPoint.js";
import type { MKMapRect } from "../structs/MKMapRect.js";
export declare function MKCoordinateForMapPoint(mapPoint: MKMapPoint): CLLocationCoordinate2D;
export declare function MKCoordinateRegionForMapRect(rect: MKMapRect): MKCoordinateRegion;
export declare function MKCoordinateRegionMakeWithDistance(centerCoordinate: CLLocationCoordinate2D, latitudinalMeters: number, longitudinalMeters: number): MKCoordinateRegion;
export declare function MKMapPointForCoordinate(coordinate: CLLocationCoordinate2D): MKMapPoint;
export declare function MKMapPointsPerMeterAtLatitude(latitude: number): number;
export declare function MKMapRectContainsPoint(rect: MKMapRect, point: MKMapPoint): boolean;
export declare function MKMapRectContainsRect(rect1: MKMapRect, rect2: MKMapRect): boolean;
export declare function MKMapRectDivide(rect: MKMapRect, slice: NobjcObject, remainder: NobjcObject, amount: number, edge: NobjcObject): void;
export declare function MKMapRectInset(rect: MKMapRect, dx: number, dy: number): MKMapRect;
export declare function MKMapRectIntersection(rect1: MKMapRect, rect2: MKMapRect): MKMapRect;
export declare function MKMapRectIntersectsRect(rect1: MKMapRect, rect2: MKMapRect): boolean;
export declare function MKMapRectOffset(rect: MKMapRect, dx: number, dy: number): MKMapRect;
export declare function MKMapRectRemainder(rect: MKMapRect): MKMapRect;
export declare function MKMapRectSpans180thMeridian(rect: MKMapRect): boolean;
export declare function MKMapRectUnion(rect1: MKMapRect, rect2: MKMapRect): MKMapRect;
export declare function MKMetersBetweenMapPoints(a: MKMapPoint, b: MKMapPoint): number;
export declare function MKMetersPerMapPointAtLatitude(latitude: number): number;
export declare function MKRoadWidthAtZoomScale(zoomScale: number): number;
